subroutine massb_perturb_Tparam               ! calcule le mass balance en mode perturbation
                                              ! avec la temperature parametree greeneem    
                                              ! version GREENEEM (Groenland aurelien)      
use lect_clim_act_greeneem_mar ! attention avec mar, pas de temp parametree
!use lect_clim_act_greeneem ! attention sans mar, la temp est parametree

use climat_perturb_mod

implicit none

!     surface temperature
call Tsgreen                                  ! dans lect_clim_act_greeneem
Tann(:,:)=Tann(:,:)+Tafor
Tjuly(:,:)=Tjuly(:,:)+Tafor

do j=1,ny
   do i=1,nx

      if(retroac.eq.1) then           ! full retroaction acc. 
         acc(i,j)=precip(i,j)*exp(rappact*(tann(i,j)-ta0(i,j)))
         
      else if(retroac.eq.0) then
         acc(i,j)=precip(i,j)
         
      endif
   end do
end do

!     ablation et bilan de masse sont maintenant appeles par forclim

      
debug_3D(:,:,29)=Tann(:,:)-Ta0(:,:)
debug_3D(:,:,30)=Acc(:,:)-precip(:,:)
debug_3D(:,:,31)=Acc(:,:)-bmelt(:,:)

      

return
end subroutine massb_perturb_Tparam

