! module de dimensionnement 
! pour greeneem Groenland NEEM 15km.

module module_greeneem15

implicit none

! character
character(len=10),  parameter  ::  geoplace='greeneem15'
character(len=20), parameter  :: dirnameinp='../INPUT/GREENEEM15/' ! input directory
character(len=17), parameter  :: dirforcage='../INPUT/Forcage/' ! input directory

! dimensionnement grilles
!-------------------------
integer, parameter :: nx=126            ! dimension selon x (indice i)
integer, parameter :: ny=198            ! dimension selon y (indice j)
integer, parameter :: nlmin=198         ! min(nx,ny), pour matrice elliptique  
integer, parameter :: nz=21            ! dimension selon z (indice k) 
integer, parameter :: nzm=4            ! nb de points verticaux dans le socle
integer, parameter :: nn=141           ! pour des sorties


! pas horizontal
!-----------------
real, parameter    :: dx=15000.0
real, parameter    :: dy=15000.0      ! pas en X et Y en m


end module module_greeneem15
